echo off
if exist space.com goto cont0
echo WALKER must be installed from your floppy drive.  Log on to it and try again.
goto endit
:cont0
if not %1x==x goto cont1
:inst1
echo     To install WALKER on your hard drive, you must type the following:
echo            INSTALL [drive] [path]
echo  Example:    INSTALL  D: \ANIMS\WALKER  (You must have a space between
echo                                           the drive and the path)
echo/
echo INSTALL C: \WALKER will create the path C:\WALKER and
echo expand the programs to that directory.
goto endit
:cont1
if %2x==x goto inst1
space %1 2344kb
if errorlevel 1 goto nospace
goto cont1a
:nospace
echo There is not enough space on %1 to install WALKER.  Find a drive with at
echo least 2.4 megabytes, or erase enough to free up this much space.
goto endit
:cont1a
dirtest %1%2
if exist %1%2\spot.dat goto cont2
echo I'm unable to create the path %1%2.  Please check your typing.
goto endit
:cont2
echo Thank you for buying from WENAMAR Software.  We are sure that you will
echo enjoy the WALKER Animation with Sound.  If you have technical
echo problems, we will try to help if you call (703) 368-0056.  Enjoy!
del %1%2\spot.dat
echo Ready to install WALKER to %1%2.
pause
walk01 %1%2
copy read-me.pls %1%2
copy sysop.doc %1%2
copy vendor.doc %1%2
copy wcsound.doc %1%2
%1
cd %1%2
setd
echo You may now type "GO" to start the WALKER Animation with Sound.  In the
echo future, you must go to the drive and directory where WALKER was installed
echo and type "GO":
echo/
echo %1
echo CD %1%2
echo GO
echo/
echo You may change the sound setup at any time by running SETD.
echo/
echo ENJOY The WALKER Animation!
:endit
pause
